Groovy Documentation

## org.codehaus.groovy.grails.support
[Java] Class SoftThreadLocalMap

    java.lang.Object
      java.lang.ThreadLocal
          java.lang.InheritableThreadLocal
              org.codehaus.groovy.grails.support.SoftThreadLocalMap

    public class SoftThreadLocalMap
    extends java.lang.InheritableThreadLocal

Creates a InheritableThreadLocal with an intial value of a Map.

Authors:
  Graeme Rocher

Since:
  0.6

Method Summary
`protected ReferenceMap` | `initialValue()` Creates an initial value of a Map

Methods inherited from class java.lang.InheritableThreadLocal

java.lang.InheritableThreadLocal#get(), java.lang.InheritableThreadLocal#remove(), java.lang.InheritableThreadLocal#set(java.lang.Object), java.lang.InheritableThreadLocal#wait(), java.lang.InheritableThreadLocal#wait(long), java.lang.InheritableThreadLocal#wait(long, int), java.lang.InheritableThreadLocal#equals(java.lang.Object), java.lang.InheritableThreadLocal#toString(), java.lang.InheritableThreadLocal#hashCode(), java.lang.InheritableThreadLocal#getClass(), java.lang.InheritableThreadLocal#notify(), java.lang.InheritableThreadLocal#notifyAll()

Methods inherited from class java.lang.ThreadLocal

java.lang.ThreadLocal#get(), java.lang.ThreadLocal#remove(), java.lang.ThreadLocal#set(java.lang.Object), java.lang.ThreadLocal#wait(), java.lang.ThreadLocal#wait(long), java.lang.ThreadLocal#wait(long, int), java.lang.ThreadLocal#equals(java.lang.Object), java.lang.ThreadLocal#toString(), java.lang.ThreadLocal#hashCode(), java.lang.ThreadLocal#getClass(), java.lang.ThreadLocal#notify(), java.lang.ThreadLocal#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### initialValue

    @Override
    protected ReferenceMap initialValue()

  Creates an initial value of a Map

Groovy Documentation